#!/usr/bin/haserl
Content-Type: text/html;charset=UTF-8
Pragma: no-cache
Cache-Control: no-cache

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
    <title>Content Filter Warning</title>
    <link rel="stylesheet" type="text/css" href="/static/style.css" />
  </head>
  <body>
    <div><img id="warning" src="/static/warning.png" alt="Warning sign" /></div>
    <div id="outer_container">
    <div id="inner_container">
      <h1>Content Filter Warning</h1>
      <p>Access to
         <span class="deniedurl"><? echo -n ${GET_DENIEDURL} | cut -d "/" -f1-3 ?></span>
         has been denied in an attempt to protect you from harmful content.
      </p>
      <p>However, if you are sure that you were blocked in error, you may
         override the warnings for a 15 minute period.
      </p>
      <p>Reason for block: <? echo -n $GET_REASON ?></p>
      <p>User credentials: <? echo -n $GET_USER ?></p>
      <p>User IP-address: <? echo -n $REMOTE_ADDR ?></p>
      <p>
      <form action="do-override.cgi">
	<input type="hidden" name="DENIEDURL" value="<? echo -n ${GET_DENIEDURL} ?>" />
        <input type="submit" value="Override block" method="get" />
      </form>
      </p>
    </div>
    </div>
  </body>
</html>

